#uses "fwUnitTestComponentAsserts.ctl"
#uses "unConfigGenericFunctions.ctl"

void test_unConfigGenericFunctions_checkDeviceAccessControl()
{
  dyn_string dsExceptionInfo;
  string sAccessControlDomainList;

  // Wrong character
  sAccessControlDomainList = "\\";
  unConfigGenericFunctions_checkDeviceAccessControl(sAccessControlDomainList, dsExceptionInfo);
  assertError("ERROR", "unConfigGenericFunctions_checkDeviceAccessControl:" + getCatStr("unGeneration", "BADDATA"), dsExceptionInfo);

  // Right ACD name
  sAccessControlDomainList = "ACDName";
  unConfigGenericFunctions_checkDeviceAccessControl(sAccessControlDomainList, dsExceptionInfo);
  assertEmpty(dsExceptionInfo);
}
